Subject: Re: git-http-push / webDAV

From: Eygene Ryabinkin <[email-masked]>
Date: Mon, 1 Oct 2007 19:54:55 +0400

Thomas, good day.

Mon, Oct 01, 2007 at 03:31:40PM +0200, Thomas Pasch wrote:
> trying to set up a webDAV enabled http push
> git server (1.5.3.3) like it is described in
> 
> http://www.kernel.org/pub/software/scm/git/docs/howto/setup-git-server-over-http.txt
> 
> Tested the apache2 (2.2.6) DAV setup with
> cadaver (and tried the browser as well).
> With cadaver I could lock files, download
> and upload content.
> 
> However,
> 
> > git push -v upload master
> Pushing to http://[email-masked]/git/DepTrack.git/
> Fetching remote heads...
>   refs/
>   refs/heads/
>   refs/tags/
> updating 'refs/heads/master'
>   from 0000000000000000000000000000000000000000
>   to   d75dce3fe0e9ec5915feda5574f214bd432ccb14
>     sending 89 objects
>     done
> Updating remote server info
> UNLOCK HTTP error 400

And how is your Apache configuration looks like?  I used to
make 2.2.4 work flawlessly with git.  Perhaps I will get it
a shot with the 2.2.6.
-- 
Eygene